Last Comment Bug 682852 - XPIDL_COMPILE explicitly used in Makefile
: XPIDL_COMPILE explicitly used in Makefile
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla9
Assigned To: Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
:
Mentors:
Depends on:
Blocks: 578790
  Show dependency treegraph
 
Reported: 2011-08-29 08:45 PDT by Joshua Cranmer [:jcranmer]
Modified: 2011-08-31 08:10 PDT (History)
2 users (show)
khuey: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Joshua Cranmer [:jcranmer] 2011-08-29 08:45:09 PDT
> (In reply to Justin Wood (:Callek) from comment #4)
> > Do we have a reason for diverging from m-c here, would this break cross
> > compiles?
> > ...
> > Other than that r+, but I want an answer as to "why" on the XPIDL_COMPILE
> > bit.
> 
> Actually looked again, and I see that we are safe to remove that in c-c, I
> do see it in use in m-c, in ONLY one spot, and as such probably defeats the
> purpose of this test.
> http://mxr.mozilla.org/comm-central/source/mozilla/xpcom/tests/Makefile.
> in#196
Comment 1 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-30 10:40:01 PDT
http://hg.mozilla.org/projects/build-system/rev/6a7c444e8216
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-31 08:10:48 PDT
http://hg.mozilla.org/mozilla-central/rev/6a7c444e8216

Note You need to log in before you can comment on or make changes to this bug.